org.crosswire.jsword.versification.system

## Class SystemSynodal

- java.lang.Object
- - org.crosswire.jsword.versification.Versification
  - - org.crosswire.jsword.versification.system.SystemSynodal

- All Implemented Interfaces:
    Serializable, ReferenceSystem

      public class SystemSynodal
      extends Versification

  The Synodal versification data is based on the Synodal and Slavonic translations from rusbible dot ru (of early 2009) and the BFBS Synodal database, as supplied by Konstantin Maslyuk. The three data sets were compared. The two Synodal sets were in agreement on all substantive matters. The Slavonic data set had numerous deviations from the Synodal sets, so all points of disagreement were verified against a printed Synodal translation (from the Judson Press, printed 1900) and demonstrated that the two Synodal data sets were in all cases correct (and also showed that the printed edition itself has some errors in verse numbers). In select instances, printed editions of a Polish translation and an OCS Bible, which employ very similar versifications, were also consulted. Some details that may not be immediately obvious:
  The Prologue to Sirach is neither a separate book nor a separate chapter of Sirach. It should be placed within the introduction of Sirach (Sir.0.0).
  The Prayer of Manasseh (PrMan) is a separate book, following 2Chr. This is primarily for referencing purposes, but also because PrMan is explicitly NOT the final chapter of 2Chr, though it is often printed as an appendix to that book.
  The first, second, and third books of Ezra or Esdras (so named according to Slavonic Orthodox tradition) have the OSIS names Ezra, 1Esd, and 2Esd, respectively. This is due to the strange history of the books of Ezra/Esdras in the eastern & western Churches and the standard naming conventions proscribed by the SBL (which BTG & OSIS follow).
  The Epistle of Jeremiah and Baruch are two separate books.
  Author:
    DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static BibleBook[]` | `BOOKS_NT`
    `(package private) static BibleBook[]` | `BOOKS_OT`
    `(package private) static int[][]` | `LAST_VERSE_NT`
    `(package private) static int[][]` | `LAST_VERSE_OT`
    `private static long` | `serialVersionUID` Serialization ID
    `static String` | `V11N_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemSynodal()` Build the "Synodal" Versification.

  - ### Method Summary

    - ### Methods inherited from class org.crosswire.jsword.versification.Versification

      `add, containsBook, decodeOrdinal, distance, dump, getAllVerses, getBook, getBook, getBookCount, getBookCount, getBookIterator, getBookName, getChapterCount, getCount, getFirstBook, getLastBook, getLastChapter, getLastVerse, getLongName, getName, getNextBook, getOrdinal, getOrdinal, getPreferredName, getPreviousBook, getShortName, getTestament, getTestamentOrdinal, isAdjacentBook, isAdjacentChapter, isAdjacentVerse, isBook, isBookIntro, isChapterIntro, isEndOfBook, isEndOfChapter, isIntro, isSameBook, isSameChapter, isStartOfBook, isStartOfChapter, max, maximumOrdinal, min, next, optimize, patch, subtract, validate, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### V11N_NAME

          public static final String V11N_NAME

      See Also:
        Constant Field Values

    - #### BOOKS_OT

          static final BibleBook[] BOOKS_OT

    - #### BOOKS_NT

          static final BibleBook[] BOOKS_NT

    - #### LAST_VERSE_OT

          static final int[][] LAST_VERSE_OT

    - #### LAST_VERSE_NT

          static final int[][] LAST_VERSE_NT

    - #### serialVersionUID

          private static final long serialVersionUID

      Serialization ID
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SystemSynodal

          SystemSynodal()

      Build the "Synodal" Versification.